Subject: bug#11276: minibuffers windows can no longer explictly be resized

From: martin rudalics <[email-masked]>
Date: Fri, 20 Apr 2012 12:01:22 +0200

>>  >> First bug.  I forgot that one can invoke `enlarge-window' and
 >>  >> `shrink-window' in the minibuffer window.  I'm not sure though whether these
 >>  >> should have any effect when `resize-mini-windows' is non-nil.
 >>  >
 >>  > For compatibility with previous versions of Emacs, I think it
 >>  > shouldn't, at least not on the emacs-24 branch.
 >>
 >> Sorry, my formulation was probably unclear.
 >
 > No, it was perfectly clear.  It's my wording that is confusing.  What
 > I meant to say is that, for compatibility, resize-mini-windows should
 > have no effect on "C-x ^" typed from the minibuffer window.

OK

 >>  > resize-mini-windows is a misnomer: it actually means "mini-window size
 >>  > is controlled by display engine".  That's why window-sizing commands
 >>  > in previous versions never paid heed to it, only redisplay did.  And
 >>  > that's why, quite counter-intuitively, setting it to _nil_ allows the
 >>  > user to resize the mini-window.
 >>
 >> The passive mini-window IIUC.
 >
 > Yes.

I checked in a fix similar to the one I posted earlier.  Please test it
with C-x ^ and modeline dragging.

Thanks, martin